<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
	android:shouldDisableView="true" android:selectable="true">
	<PreferenceCategory android:title="@string/general_preferences">
		<PreferenceScreen android:key="contact_list"
			android:title="@string/contact_list_preferences" android:summary="@string/contact_list_preferences_sum">
			<CheckBoxPreference android:title="@string/CLP_hidden_contact"
				android:defaultValue="false" android:summary="@string/CLP_hidden_contact_sum"
				android:key="settings_key_hidden_contact" />
		</PreferenceScreen>
	</PreferenceCategory>
	<PreferenceCategory android:title="@string/user_preferences">
		<EditTextPreference android:singleLine="true"
			android:summary="@string/SettingsText" android:title="@string/settings_account_username"
			android:key="settings_key_account_username"
			android:hint="@string/login_username_info_default" />
		<EditTextPreference android:name="password"
			android:singleLine="true" android:password="true" android:summary="@string/SettingsPassword"
			android:title="@string/settings_account_password" android:key="settings_key_account_password" />
	</PreferenceCategory>
	<PreferenceCategory android:title="@string/user_preferences_advanced">
		<EditTextPreference
		    android:key="settings_key_resource"
		    android:title="@string/SettingsResourceTitle"
		    android:summary="@string/SettingsResourceSummary"
		    android:defaultValue="Beem" />
		<EditTextPreference
		    android:key="settings_key_priority"
		    android:title="@string/SettingsPriorityTitle"
		    android:summary="@string/SettingsPrioritySummary"
		    android:numeric="signed"
		    android:defaultValue="0" />
		<CheckBoxPreference android:title="@string/SettingsCheckboxText"
			android:defaultValue="false" android:summary="@string/SettingsGmail"
			android:key="settings_key_gmail" />
	</PreferenceCategory>

	<PreferenceCategory android:title="@string/network_preferences">
		<PreferenceScreen android:key="proxy" android:title="@string/SettingsProxy"
			android:summary="@string/settings_proxy_sum">
			<CheckBoxPreference android:title="@string/SettingsProxyProxy"
				android:defaultValue="false" android:summary="@string/SettingsProxySummary"
				android:key="settings_key_proxy_use" />
			<PreferenceCategory android:title="@string/proxy_proxy_settings">
				<ListPreference android:dependency="settings_key_proxy_use"
					android:title="@string/SettingsProxyType" android:entries="@array/proxy_types"
					android:summary="@string/SettingsProxyTypeSummary"
					android:defaultValue="HTTP" android:entryValues="@array/proxy_types"
					android:key="settings_key_proxy_type" />
				<EditTextPreference android:singleLine="true"
					android:dependency="settings_key_proxy_use" android:name="serveur"
					android:summary="@string/SettingsProxyServer" android:title="@string/settings_proxy_server"
					android:key="settings_key_proxy_server" />
				<EditTextPreference android:singleLine="true"
					android:dependency="settings_key_proxy_use" android:name="port"
					android:summary="@string/SettingsProxyPort" android:title="@string/settings_proxy_port"
					android:key="settings_key_proxy_port"
					android:hint="@string/comments_proxy_port" />
			</PreferenceCategory>
			<PreferenceCategory android:title="@string/proxy_user_settings">
				<EditTextPreference android:singleLine="true"
					android:dependency="settings_key_proxy_use" android:name="Utilisateur"
					android:summary="@string/SettingsProxyUser" android:title="@string/settings_proxy_username"
					android:key="settings_key_proxy_username" />
				<EditTextPreference android:singleLine="true"
					android:dependency="settings_key_proxy_use" android:name="pass_user"
					android:password="true" android:summary="@string/SettingsProxyPassword"
					android:title="@string/settings_proxy_password" android:key="settings_key_proxy_password" />
			</PreferenceCategory>
		</PreferenceScreen>
		<PreferenceScreen android:key="advanced"
			android:title="@string/SettingsAdvanced" android:summary="@string/settings_advanced_sum">
			<PreferenceCategory android:title="@string/settings_advanced_service_behaviour">
				<CheckBoxPreference android:title="@string/settings_xmpp_use_tls"
					android:defaultValue="false" android:key="settings_key_xmpp_tls_use" />
				<EditTextPreference android:singleLine="true"
					android:title="@string/settings_reco_delay" android:name="Reconnect delay"
					android:summary="@string/SettingsAdvancedRecoDelay" android:key="settings_key_reco_delay"
					android:defaultValue="10" />
			</PreferenceCategory>
			<CheckBoxPreference android:title="@string/SettingsAdvancedOptions"
				android:defaultValue="false" android:summary="@string/SettingsAdvancedSpecOpt"
				android:key="settings_key_specific_server" />
			<EditTextPreference android:singleLine="true"
				android:dependency="settings_key_specific_server" android:name="adresse"
				android:summary="@string/SettingsAdvancedAddOpt" android:title="@string/settings_xmpp_server"
				android:key="settings_key_xmpp_server" 
				android:hint="@string/comments_xmpp_server"/>
			<EditTextPreference android:singleLine="true"
				android:dependency="settings_key_specific_server" android:name="port"
				android:summary="@string/SettingsAdvancedPortOpt" android:title="@string/settings_xmpp_port"
				android:defaultValue="5222" android:key="settings_key_xmpp_port" 
				android:hint="@string/comments_xmpp_port"/>
		</PreferenceScreen>
	</PreferenceCategory>
</PreferenceScreen>
